"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x109a6bca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x109a6bd30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x109a6bdc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x109a6be50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x109a6bee0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x109a6bf70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x109a72040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x109a720d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x109a72160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x109a721f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x109a72280>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x109a72310>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x109a723a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x109a72430>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x109a724c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x109a72550>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x109a725e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x109a72670>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x109a72700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x109a72790>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x109a72820>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x109a728b0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x109a72940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x109a729d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x109a72af0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x109a72a60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x109a72b80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x109a72c10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x109a72ca0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x109a72d30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x109a72dc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x109a72e50>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x109a72ee0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x109a72f70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x109a75040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x109a750d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x109a75160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x109a751f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x109a75280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x109a75310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x109a753a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x109a75430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x109a754c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x109a75550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x109a755e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x109a75670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x109a75700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x109a75790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x109a75820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x109a758b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x109a75940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x109a759d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x109a75a60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x109a75af0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x109a75b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x109a75c10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x109a75ca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x109a75d30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x109a75dc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x109a75e50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x109a75ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x109a75f70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x109a79040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x109a790d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x109a79160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x109a79310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x109a791f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x109a793a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x109a79430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x109a794c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x109a79550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x109a795e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x109a79700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x109a79670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x109a79790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x109a79820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x109a798b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x109a799d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x109a79940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x109a79a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x109a79af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x109a79b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x109a79c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x109a79ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x109a79d30>)]
name: str = 'fr_HOCCN'
